Subject: Re: [Bitcoin-development] New BIP: protocol for multisignature payments

From: Mike Hearn <[email-masked]>
Date: Sun, 1 Feb 2015 14:43:45 +0100

If you decide to implement this in an existing or new bitcoinj based
wallet, then I'm happy to give you pointers on how to do it. Making
one-off, cross platform app specific wallets is pretty easy these days. For
2-of-3 dispute mediation transactions they'd start out being kind of
specialist so asking people to move money from their general spending
wallet into dispute mediation app isn't unthinkable. Eventually general
purpose wallets would integrate protocol, UI ideas and maybe code.

At least, that's how I'd do it.

On Sun, Feb 1, 2015 at 12:02 AM, Martin Habovštiak <
[email-masked]> wrote:

> I didn't consider that, thank you for feedback! I will try to find
> some time for implementing it. I'll write again then.
>
> 2015-01-31 23:50 GMT+02:00 Gavin Andresen <[email-masked]>:
> > I agree- standards should be descriptive ("here is how this thing I did
> > works") and NOT proscriptive ("here's what I think will work, lets all
> try
> > to do it this way.").
> >
> >
> > On Sat, Jan 31, 2015 at 2:07 PM, Mike Hearn <[email-masked]> wrote:
> >>>
> >>> I could look at implementing it someday, but now I'd like to receive
> >>> feedback from community.
> >>
> >>
> >> IMO it's better to pair a protocol spec with an implementation.
> >
> >
> > --
> > --
> > Gavin Andresen
>